var dhtmlmodal_2={veilstack:0,open:function(t,contenttype,contentsource,title,attr,recalonload){var d=dhtmlwindow_2
this.interVeil=document.getElementById("interVeil")
this.veilstack++
this.loadveil()
if(recalonload=="recal"&&d.scroll_top==0)
d.addEvent(window,function(){dhtmlmodal_2.adjustveil()},"load")
var t=d.open(t,contenttype,contentsource,title,attr,recalonload)
t.controls.firstChild.style.display="none"
t.controls.onclick=function(){dhtmlmodal_2.close(this._parent,true)}
t.show=function(){dhtmlmodal_2.show(this)}
t.hide=function(){dhtmlmodal_2.close(this)}
return t},loadveil:function(){var d=dhtmlwindow_2
d.getviewpoint()
this.docheightcomplete=(d.standardbody.offsetHeight>d.standardbody.scrollHeight)?d.standardbody.offsetHeight:d.standardbody.scrollHeight
this.interVeil.style.width=d.docwidth+"px"
this.interVeil.style.height=this.docheightcomplete+"px"
this.interVeil.style.left=0
this.interVeil.style.top=0
this.interVeil.style.visibility="visible"
this.interVeil.style.display="block"},adjustveil:function(){if(this.interVeil&&this.interVeil.style.display=="block")
this.loadveil()},closeveil:function(){this.veilstack--
if(this.veilstack==0)
this.interVeil.style.display="none"},close:function(t,forceclose){t.contentDoc=(t.contentarea.datatype=="iframe")?window.frames["_iframe-"+t.id].document:t.contentarea
if(typeof forceclose!="undefined")
t.onclose=function(){return true}
if(dhtmlwindow_2.close(t))
this.closeveil()},show:function(t){dhtmlmodal_2.veilstack++
dhtmlmodal_2.loadveil()
dhtmlwindow_2.show(t)}}
document.write('<div id="interVeil"></div>')
dhtmlwindow_2.addEvent(window,function(){if(typeof dhtmlmodal_2!="undefined")dhtmlmodal_2.adjustveil()},"resize")